--- dclib/core/cssl.cpp
+++ dclib/core/cssl.cpp
@@ -86,7 +86,11 @@
 /** */
 SSL_CTX * CSSL::InitClientCTX()
 {
+	#if OPENSSL_VERSION_NUMBER >= 0x10000000L
+	const SSL_METHOD *method;
+	#else
 	SSL_METHOD *method;
+	#endif
 	SSL_CTX *ctx = NULL;
 
	method = SSLv23_client_method();		/* Create new client-method instance */
@@ -109,7 +113,11 @@
 /** */
 SSL_CTX * CSSL::InitServerCTX()
 {
+	#if OPENSSL_VERSION_NUMBER >= 0x10000000L
+	const SSL_METHOD *method;
+	#else
 	SSL_METHOD *method;
+	#endif
 	SSL_CTX *ctx = NULL;
 
	method = SSLv23_server_method();		/* Create new client-method instance */
@@ -130,7 +138,11 @@
 /** */
 SSL_CTX * CSSL::NewTLSv1ClientCTX()
 {
+	#if OPENSSL_VERSION_NUMBER >= 0x10000000L
+	const SSL_METHOD * method = TLSv1_client_method();
+	#else
 	SSL_METHOD * method = TLSv1_client_method();
+	#endif
 	SSL_CTX * ctx = NULL;
 	
 	if ( method != NULL )
@@ -149,7 +161,11 @@
 /** */
 SSL_CTX * CSSL::NewTLSv1ServerCTX()
 {
+	#if OPENSSL_VERSION_NUMBER >= 0x10000000L
+	const SSL_METHOD * method = TLSv1_server_method();
+	#else
 	SSL_METHOD * method = TLSv1_server_method();
+	#endif
 	SSL_CTX * ctx = NULL;
 	
 	if ( method != NULL )
